> For the complete documentation index, see [llms.txt](https://docs.ai.neevcloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ai.neevcloud.com/api-reference/readme.md).

# Overview

Interactive, testable API references for NeevCloud services. Select a service below to explore its endpoints.

| Service                            | What it covers                                                        |
| ---------------------------------- | --------------------------------------------------------------------- |
| **Tenant API**                     | Accounts, organizations, projects, members, API keys, referrals       |
| **Storage API**                    | Network storage volumes for AI Runtimes                               |
| **GPU Instance API**               | AI Runtimes, runtime templates, custom templates                      |
| **Dedicated Model Deployment API** | Dedicated model deployments and the model catalog                     |
| **Model Routing API**              | API keys for model routing plus OpenAI-compatible inference endpoints |
| **Billing API**                    | Pricing, billing events, and wallets                                  |
| **Inventory API**                  | Resource inventory and validation                                     |
| **VM Service API**                 | Virtual machines, root disks, and base images                         |
| **Agent Service API**              | Sandboxes, snapshots, restore/fork, and sandbox templates             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ai.neevcloud.com/api-reference/readme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
